Subject: bug#7626: mm-charset-override-alist (was: bug#7626: bug#7651: 23.2.91; Rmail doesn't allow displaying text attachments conveniently)

From: Reiner Steib <[email-masked]>
Date: Tue, 18 Jan 2011 09:07:30 +0100

On Fri, Jan 14 2011, Kenichi Handa wrote:

> Eli Zaretskii <[email-masked]> writes:
>> I guess this is because some broken mailers state Latin-N while
>> actually using the corresponding Windows codepage, and when the
>> message includes characters not in Latin-N, they are not displayed
>> correctly.

Exactly.
 
>> But even if we keep this "feature" (see below for an alternative
>> suggestion), I don't see a need to force this on users.  We should
>> have a user option to do this.  Personally, I think it should be off
>> by default, but if someone feels strongly about that, I won't mind
>> having it on by default, in which case I will customize it on my
>> system.

I think `mm-charset-override-alist' should be on by default.  Before I
added (back in 2005) we frequently had complains about "why doesn't
Gnus display this article correctly?".  I don't recall any real
problems with this.

>> > At the moment, I don't know how (or where) to fix this
>> > problem, but at least, it seems that setting
>> > buffer-file-coding-system to windows-1252 for iso-8859-1
>> > message won't cause an actual problem.
>
>> It's surprising and kludgey, IMO.  A better solution would be to
>> decode by windows-12XX, but set last-coding-system-used to Latin-N.
>> That way, only if I reuse the text that is not encodable by Latin-N, I
>> will need to do something.  Otherwise, I get to have the cake and eat
>> it, too.
>
> I don't want to modify rfc2047.el nor mm-util.el now.  

Thank you.

(I don't have an opinion about what Rmail should do.)

Bye, Reiner.
-- 
       ,,,
      (o o)
---ooO-(_)-Ooo---  |  PGP key available  |  http://rsteib.home.pages.de/